| FFmpegKit iOS / macOS / tvOS API 4.5

Functions
Level.h File Reference

Go to the source code of this file.

## Functions
typedef | NS_ENUM (NSUInteger, Level)

## Function Documentation

## ◆ NS_ENUM()

typedef NS_ENUM | ( | NSUInteger | ,
|  | Level |
| ) |  |

Enumeration type for log levels.

This log level is defined by FFmpegKit. It is used to specify logs printed to stderr by FFmpeg. Logs that has this level are not filtered and always redirected.

Print no output.

Something went really wrong and we will crash now.

Something went wrong and recovery is not possible. For example, no header was found for a format which depends on headers or an illegal combination of parameters is used.

Something went wrong and cannot losslessly be recovered. However, not all future data is affected.

Something somehow does not look correct. This may or may not lead to problems. An example would be the use of '-vstrict -2'.

Standard information.

Detailed information.

Stuff which is only useful for libav* developers.

Extremely verbose debugging, useful for libav* development.

Definition at line 26 of file Level.h.